Subject: Re: [QUESTION] About IPv6 flowlabel in a TCP IPv6 Server

From: Kengo Sakai <[email-masked]>
Date: Tue, 23 Jun 2009 11:31:03 +0900

Hello Rémi,

Thanks for your mail.

Rémi Denis-Courmont wrote:
> On Tuesday 16 June 2009 04:37:21 ext Kengo Sakai wrote:
>> 2) Can a flowlabel be set to a sending packet in a TCP IPv6 Server?
> 
> I don't understand your question. To me, you cannot send "packets", at least 
> not directly, via TCP sockets in the first place. Userland pushes data to the 
> kernel buffers, and those buffers are segmented in some opaque (from userland) 
> way. There is certainly no 1:1 matching of send() calls to packets.

Sorry, I mistook the expression.
I have understood that the data pushed from userland is segmented into
packets in kernel.

I want to set a flowlabel to packets into which kernel segment the data
which TCP IPv6 Server send(2) or write(2).
But I can't do it.

Do you have any idea?

Thanks,
Kengo